io.milvus.param.dml.ranker

## Class WeightedRanker

- java.lang.Object
- - io.milvus.param.dml.ranker.BaseRanker
  - - io.milvus.param.dml.ranker.WeightedRanker

    public class WeightedRanker
    extends BaseRanker

The Average Weighted Scoring reranking strategy, which prioritizes vectors based on relevance, averaging their significance.

### Nested Class Summary

Nested Classes
`static class` `WeightedRanker.Builder` Builder for `WeightedRanker` class.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.util.Map<java.lang.String,java.lang.String>` `getProperties()`
`static WeightedRanker.Builder` `newBuilder()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getProperties

    public java.util.Map<java.lang.String,java.lang.String> getProperties()

Specified by:
  `getProperties` in class `BaseRanker`

#### newBuilder

    public static WeightedRanker.Builder newBuilder()